Page MenuHomePhabricator

[SymbolFile] Change ParseFunctionBlocks(SymbolContext&) to ParseBlocksRecursive(Function&)
AcceptedPublic

Authored by zturner on Jan 11 2019, 11:24 AM.

Details

Summary

This limits the API surface by providing only the necessary and sufficient information through the parameter list, while also making the expectations of the API self-documenting, since we include the word Recursive in the function name.

Diff Detail

Event Timeline

zturner created this revision.Jan 11 2019, 11:24 AM
labath accepted this revision.Jan 14 2019, 4:31 AM

looks good to me.

This revision is now accepted and ready to land.Jan 14 2019, 4:31 AM
clayborg accepted this revision.Jan 14 2019, 10:36 AM
labath resigned from this revision.Aug 9 2019, 2:00 AM